# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KPAC Class Reference

Proxy Auto Configuration. More...

`#include <kpac.h>`

List of all members.

## Public Member Functions

virtual QString | proxyForURL (const KURL &url)=0
| Returns the proxy for the `url` or QString::null if the request should be done unproxied.
virtual bool | init (const KURL &url)=0
| Loads the PAC-script.
virtual bool | discover ()=0
| Tries to discover a PAC-script and loads it.
virtual void | badProxy (const QString &proxy)=0
| Marks `proxy` as down.

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)

## Detailed Description

Proxy Auto Configuration.

Definition at line 32 of file kpac.h.

## Member Function Documentation

virtual QString KPAC::proxyForURL | ( | const KURL & | url | ) | `[pure virtual]`

| Returns the proxy for the `url` or QString::null if the request should be done unproxied. Referenced by KProtocolManager::proxyForURL().

virtual bool KPAC::init | ( | const KURL & | url | ) | `[pure virtual]`

Loads the PAC-script.

Parameters:

  url | URL of the script.

virtual bool KPAC::discover | ( |  | ) | `[pure virtual]`

| Tries to discover a PAC-script and loads it.

virtual void KPAC::badProxy | ( | const QString & | proxy | ) | `[pure virtual]`

| Marks `proxy` as down. If the config script returns alternative proxies or allows a direct connection as fallback, this proxy will not be returned for a while.

The documentation for this class was generated from the following files:

- kpac.h
- kpac.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:19:30 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001